<?php

namespace Tricks\Monitoring;

use Illuminate\Support\ServiceProvider;

class MonitoringServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->mergeConfigFrom(
            __DIR__.'/../config/laravel-monitoring.php', 'laravel-monitoring'
        );
    }

    public function boot(): void
    {
        $this->publishes([
            __DIR__.'/../config/laravel-monitoring.php' => config_path('laravel-monitoring.php'),
        ]);
        $this->loadRoutesFrom(__DIR__.'/../routes/api.php');
    }
}
